@using Microsoft.AspNetCore.Identity
@inject SignInManager<User> SignInManager
@inject UserManager<User> UserManager

<ul class="navbar-nav">
    @if (SignInManager.IsSignedIn(User))
    {
        <li class="nav-item text-white font-italic">
            Hello @User.Identity.Name!
        </li>
        <li class="nav-item">
            <form class="form-inline" asp-area="Identity" asp-page="/Account/Logout" asp-route-returnUrl="@Url.Action("Index", "Home", new { area = "" })">
                <button type="submit" class="nav-link btn btn-link text-white font-italic">Logout</button>
            </form>
        </li>
    }
    @*else
        {
            <li class="nav-item">
                <a class="nav-link text-white" asp-area="Identity" asp-page="/Account/Register">Register</a>
            </li>
            <li class="nav-item">
                <a class="nav-link text-white" asp-area="Identity" asp-page="/Account/Login">Login</a>
            </li>
        }*@
</ul>